const { Semantics, Semantic } = require('./src/semantics')
const { Generators, Generator } = require('./src/generators')
const { Config } = require('./src/config')
const Digraph = require('./src/digraph')
const client = require('./client')
const flattens = require('./src/flatten')
const unflatten = require('./src/unflatten')

module.exports = {
  process: client.process,
  submitBug: client.submitBug,
  processContext: client.processContext,
  processContexts: client.processContexts,
  runTests: client.runTests,
  knowledgeModule: client.knowledgeModule,
  ensureTestFile: client.ensureTestFile,
  Config,
  Semantics,
  Semantic,
  Generators,
  Generator,
  Digraph,
  flattens: flattens.flattens,
  unflatten: unflatten.unflatten
}
